### Constructor

# Atspi DeviceX11 new_full

since: 2.55

#### Declaration [src]

    AtspiDeviceX11*
    atspi_device_x11_new_full (
      const gchar* app_id
    )

#### Description [src]

Creates a new `AtspiDeviceX11` with the given app id.

Available since: 2.55

#### Parameters

`app_id`

  Type: `const gchar*`

  The application id.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AtspiDeviceX11`

A pointer to a newly-created `AtspiDeviceX11`.

The caller of the function takes ownership of the data, and is responsible for freeing it.